/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Bargraph Display mit 10 LEDs ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <Adafruit_MCP4725.h>
#include "i2cdac.h"

// Variablen -----------------------------------------------------------------
Adafruit_MCP4725 dac;

// Funktionen ----------------------------------------------------------------
void DAC_Setup(unsigned char dac_adresse)  // DAC Initialisierung
{
  dac.begin(dac_adresse);
}

int DAC_WriteValue(unsigned int val)      // DAC Wert fuer Ausgang setzen
{
  int retval = DAC_ERR_OK;
  
  if (val > DAC_MAXVAL)
  {
    retval = DAC_ERR_MAX;
  }
  else
  {
    dac.setVoltage(val, false);
  }
  return(retval);
}

int DAC_WriteAndRememberValue(unsigned int val) // DAC Wert setzen und im EEPROM merken
{
  int retval = DAC_ERR_OK;
  
  if (val > DAC_MAXVAL)
  {
    retval = DAC_ERR_MAX;
  }
  else
  {
    dac.setVoltage(val, true);
  }
  return(retval);
}

